View Issue Details

IDProjectCategoryView StatusLast Update
0000892SymmetricDSBugpublic2014-02-02 20:53
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.1.9 
Target Version3.2.0Fixed in Version3.2.0 
Summary0000892: Common batch mode should not be detected if a channel is bidirectional with separate trigger definitions for the same table.
DescriptionCommon batch mode should not be detected if a channel is bidirectional with separate trigger definitions for the same table.

triggers - SALES_CORP for table sales and SALES for table sales with SALES_CORP setting sync_on_incoming_batch=1 should make the channel NOT common.
TagsNo tags attached.

Activities

chenson

2012-12-16 12:31

administrator   ~0000115

Prepare for release

Related Changesets

SymmetricDS: master 14fe8ac8

2012-12-11 10:26:43

chenson

Details Diff
0000892: Common batch mode should not be detected if a channel is bidirectional with separate trigger definitions for the same table.
0000892
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/Trigger.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RouterService.java Diff File

Issue History

Date Modified Username Field Change
2012-10-31 08:04 chenson New Issue
2012-10-31 08:04 chenson Status new => assigned
2012-10-31 08:04 chenson Assigned To => chenson
2012-12-11 09:41 chenson Summary Common batch mode is not detected if a channel is bidirectional with separate trigger definitions for the same table => Common batch mode is should not be detected if a channel is bidirectional with separate trigger definitions for the same table.
2012-12-11 09:41 chenson Description Updated View Revisions
2012-12-11 09:42 chenson Summary Common batch mode is should not be detected if a channel is bidirectional with separate trigger definitions for the same table. => Common batch mode should not be detected if a channel is bidirectional with separate trigger definitions for the same table.
2012-12-11 09:42 chenson Description Updated View Revisions
2012-12-11 10:27 chenson Status assigned => resolved
2012-12-11 10:27 chenson Fixed in Version => 3.2.0
2012-12-11 10:27 chenson Resolution open => fixed
2012-12-16 12:31 chenson Note Added: 0000115
2012-12-16 12:31 chenson Status resolved => closed
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6664
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 14fe8ac8